org.jfree.chart.axis

## Class LogTick

- java.lang.Object
- - org.jfree.chart.axis.Tick
  - - org.jfree.chart.axis.ValueTick
    - - org.jfree.chart.axis.LogTick

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class LogTick
      extends ValueTick

  A tick from a `LogAxis`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.text.AttributedString` | `attributedLabel` The attributed string for the tick label.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogTick(TickType type, double value, java.text.AttributedString label, TextAnchor textAnchor)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.text.AttributedString` | `getAttributedLabel()` Returns the attributed string for the tick label, or `null` if there is no label.

    - ### Methods inherited from class org.jfree.chart.axis.ValueTick

      `equals, getTickType, getValue`

    - ### Methods inherited from class org.jfree.chart.axis.Tick

      `clone, getAngle, getRotationAnchor, getText, getTextAnchor, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### attributedLabel

          java.text.AttributedString attributedLabel

      The attributed string for the tick label.

  - ### Constructor Detail

    - #### LogTick

          public LogTick(TickType type,
                         double value,
                         java.text.AttributedString label,
                         TextAnchor textAnchor)

      Creates a new instance.
      Parameters:
        `type` - the type (major or minor tick, `null` not permitted).
        `value` - the value.
        `label` - the label (`null` permitted).
        `textAnchor` - the text anchor.

  - ### Method Detail

    - #### getAttributedLabel

          public java.text.AttributedString getAttributedLabel()

      Returns the attributed string for the tick label, or `null` if there is no label.
      Returns:
        The attributed string or `null`.